---
title: PannerNode.coneOuterAngle
slug: Web/API/PannerNode/coneOuterAngle
tags:
  - API
  - PannerNode
  - Property
  - Reference
  - Référence(2)
  - Web Audio API
  - coneOuterAngle
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>coneOuterAngle</code> property of the {{ domxref("PannerNode") }} interface is a double value describing the angle, in degrees, of a cone outside of which the volume will be reduced by a constant value, defined by the {{domxref("coneOuterGain")}} property.</p>

<p>The <code>coneOuterAngle</code> property's default value is <code>0</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var panner = audioCtx.createPanner();
panner.coneOuterAngle = 0;</pre>

<h3 id="Value">Value</h3>

<p>A double.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/PannerNode/orientationX","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-pannernode-coneouterangle', 'coneOuterAngle')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PannerNode.coneOuterAngle")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Web_audio_spatialization_basics">Web Audio spatialisation basics</a></li>
</ul>
